<?php

use EventPortal\Domain\Event\Models\Event;
use EventPortal\Domain\Util\Menu\Facades\Menu;
use EventPortal\Domain\Util\Menu\Link;
use Illuminate\Support\Facades\Auth;

Menu::make('primary')
    ->addLinks(function (Event $event) {
        return [
            Link::make('Agenda')
                ->route('agenda.index', [
                    'event' => $event->id,
                ]),
            Link::make('Venue')
                ->route('venue.index', [
                    'event' => $event->id,
                ]),
            Link::make('FAQs')
                ->route('faqs.index', [
                    'event' => $event->id,
                ]),
            Link::make('Contact')
                ->route('contact.index', [
                    'event' => $event->id,
                ]),
            Link::make(optional(Auth::user())->fullName)
                ->route('user.profile.index', [
                    'event' => $event->id,
                ])
                ->icon('right-arrow'),
        ];
    });
