<?php

use EventPortal\Domain\Event\Models\Event;
use EventPortal\Domain\Util\Statistics\Facades\Statistics;
use EventPortal\Domain\Util\Statistics\Stat;
use Illuminate\Database\Eloquent\Builder;

Statistics::make('events.show')
    ->add(function (Event $event): array {
        $event = $event->withCount([
            'delegates as delegates_invited' => function (Builder $query): void {
                $query->where('status', 'invited');
            },
            'delegates as delegates_registered' => function (Builder $query): void {
                $query->where('status', 'registered');
            },
            'delegates as delegates_declined' => function (Builder $query): void {
                $query->where('status', 'declined');
            },
            'delegates as delegates_cancelled' => function (Builder $query): void {
                $query->where('status', 'cancelled');
            },
            'delegates as delegates_attended' => function (Builder $query): void {
                $query->where('status', 'attended');
            },
        ])
        ->first();

        return [
            Stat::make('Delegates invited', $event->delegates_invited),
            Stat::make('Delegates registered', $event->delegates_registered),
            Stat::make('Delegates declined', $event->delegates_declined),
            Stat::make('Delegates cancelled', $event->delegates_cancelled),
            Stat::make('Delegates attended', $event->delegates_attended),
        ];
    });
