<?php

namespace EventPortal\Tests\Support\Traits;

use EventPortal\Domain\Agenda\Models\Agenda;
use EventPortal\Domain\Event\Models\Event;
use PHPUnit\Framework\Assert;

trait InteractsWithEvents
{
    public function assertEventHasAgendaFor(Event $event, string $date)
    {
        $hasAgenda = Agenda::forEvent($event)->forDate($date)->first();

        Assert::assertTrue(
            $hasAgenda !== null,
            "Failed asserting that event has an agenda for date {$date}"
        );

        return $this;
    }
}
